from .aligner import TableAligner
from .builder import TableBuilder
from .concater import TableConcater
from .json import JsonTableReader

__all__ = ["JsonTableReader", "TableAligner", "TableBuilder", "TableConcater"]

try:
    from .hdf5 import Hdf5TableReader
except ImportError:
    pass
else:
    __all__ += ["Hdf5TableReader"]

try:
    from .mcap import McapTableReader
except ImportError:
    pass
else:
    __all__ += ["McapTableReader"]

try:
    from .yaak import YaakMetadataTableReader
except ImportError:
    pass
else:
    __all__ += ["YaakMetadataTableReader"]
